Link Search Menu Expand Document Documentation Menu

Delete Data Stream API

Introduced 1.0

The Delete Data Stream API deletes a data stream and its backing indexes.

Endpoints

DELETE /_data_stream/{name}

Path parameters

The following table lists the available path parameters.

Parameter Required Data type Description
name Required List or String A comma-separated list of data streams to delete. Wildcard (*) expressions are supported.

Query parameters

The following table lists the available query parameters. All query parameters are optional.

Parameter Data type Description Default
error_trace Boolean Whether to include the stack trace of returned errors. false
filter_path List or String Used to reduce the response. This parameter takes a comma-separated list of filters. It supports using wildcards to match any field or part of a field’s name. You can also exclude fields with -. N/A
human Boolean Whether to return human-readable values for statistics. false
pretty Boolean Whether to pretty format the returned JSON response. false
source String The URL-encoded request definition. Useful for libraries that do not accept a request body for non-POST requests. N/A

Example request

The following example request deletes the logs-app data stream and its backing indexes:

DELETE /_data_stream/logs-app
response = client.indices.delete_data_stream(
  name = "logs-app"
)

Example response

{
  "acknowledged": true
}

Required permissions

If you use the Security plugin, make sure you have the appropriate permissions: indices:admin/data_stream/delete.

350 characters left

Have a question? .

Want to contribute? or .